## mistral 7.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

alembic>=0.8.10 # MIT
aodhclient>=0.9.0 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD
croniter>=0.3.4 # MIT License
cachetools>=2.0.0 # MIT License
eventlet!=0.20.1,>=0.20.0 # MIT
gnocchiclient>=3.3.1 # Apache-2.0
Jinja2>=2.10 # BSD License (3 clause)
jsonschema<3.0.0,>=2.6.0 # MIT
keystonemiddleware>=4.17.0 # Apache-2.0
mistral-lib>=0.4.0 # Apache-2.0
networkx>=1.10 # BSD
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.context>=2.20.0 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=1.30.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
paramiko>=2.0.0 # LGPLv2.1+
pbr!=2.1.0,>=2.0.0 # Apache-2.0
pecan>=1.2.1 # BSD
python-barbicanclient>=4.5.2 # Apache-2.0
python-cinderclient>=3.3.0 # Apache-2.0
python-designateclient>=2.7.0 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
python-glareclient>=0.3.0 # Apache-2.0
python-heatclient>=1.10.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
python-mistralclient!=3.2.0,>=3.1.0 # Apache-2.0
python-manilaclient>=1.23.0 # Apache-2.0
python-magnumclient>=2.1.0 # Apache-2.0
python-muranoclient>=0.8.2 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
python-senlinclient>=1.1.0 # Apache-2.0
python-swiftclient>=3.2.0 # Apache-2.0
python-tackerclient>=0.8.0 # Apache-2.0
python-troveclient>=2.2.0 # Apache-2.0
python-ironicclient>=2.3.0 # Apache-2.0
python-ironic-inspector-client>=1.5.0 # Apache-2.0
python-vitrageclient>=2.0.0 # Apache-2.0
python-zaqarclient>=1.0.0 # Apache-2.0
python-zunclient>=1.0.0 # Apache-2.0
python-qinlingclient>=1.0.0 # Apache-2.0
PyJWT>=1.0.1 # MIT
PyYAML>=3.12 # MIT
requests>=2.14.2 # Apache-2.0
tenacity>=4.4.0 # Apache-2.0
six>=1.10.0 # MIT
SQLAlchemy>=1.2.5 # MIT
stevedore>=1.20.0 # Apache-2.0
WSME>=0.8.0 # MIT
yaql>=1.1.3 # Apache 2.0 License
tooz>=1.58.0 # Apache-2.0
zake>=0.1.6 # Apache-2.0

=== doc/requirements.txt ===
sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
sphinxcontrib-httpdomain>=1.3.0 # BSD
sphinxcontrib-pecanwsme>=0.8.0 # Apache-2.0
openstackdocstheme>=1.18.1 # Apache-2.0
reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
mistral (7.0.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * Additional support for Python 3:
    - d/control: Drop python(3)-mistral conflicts on each other.
    - d/python(3)-mistral.postinst: Ensure alternatives priority is 300
      for Py2 and 200 for Py3.
    - d/tests/control: Run Py3 tests first due to alternatives priority.
    - d/rules: Skip Py3.7 tests until they run successfully upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 15:24:38 -0400

mistral (7.0.0~rc1-0ubuntu1) cosmic; urgency=medium

  * New upstream release candidate for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Aug 2018 15:07:10 -0400

mistral (7.0.0~b2-0ubuntu1) cosmic; urgency=medium

  * d/control: Update Standards-Version to 4.1.4.
  * d/tests/mistral-shebangs-py*: Fix typos.
  * d/watch: Scope to 7.x series.
  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Run tests with pkgos-dh_auto_test.
  * d/p/skip-test.patch: Partial skip of failing test.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jun 2018 12:28:36 -0400

mistral (6.0.0-3ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/control, d/rules: Add Python 2.7 support and python-mistral package.
    - d/control: Support Python 2.7 first and Python 3.x as alternative.
      mistral-common depends on python-mistral by default and python3-mistral
      as alternative.
    - d/control: Drop ${python3:Depends} from mistral-* binary packages
      as it's covered in python3-mistral.
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/rules: Add Python 2.7 support.
    - d/rules: Install to package build directories rather than debian/tmp.
    - d/rules: Use pkgos-dh_auto_install instead of python setup.py install.
      This helps name binaries for update-alternatives.
    - d/rules: Enforce successful test execution.
    - d/mistral-common.install: Drop usr/bin/* as pkgos-dh_auto_install handles
      install of those files.
    - d/python(3)-mistral.post*, d/python(3)-mistral.prerm: update-alternatives
      is used to enable correct shebangs for Python binaries.
    - d/python3-mistral.install: Dropped. Not needed.
    - d/tests/*: Add Python 2/3 autopkgtests for mistral daemons and shebangs.
    - d/watch: Get tarball from tarballs.openstack.org.
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/mistral-event-engine.init.in: Add init for mistral-event-engine.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 06 Jun 2018 13:48:46 -0400

mistral (6.0.0-3) unstable; urgency=medium

  * Fixed dbc postrm.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Mar 2018 16:50:46 +0000

mistral (6.0.0-2) unstable; urgency=medium

  * Switch to openstack-pkg-tools >= 70~ shared debconf templates.

 -- Thomas Goirand <zigo@debian.org>  Wed, 07 Mar 2018 09:16:33 +0000

mistral (6.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Feb 2018 21:44:37 +0000

mistral (6.0.0~rc1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https in Format
  * Running wrap-and-sort -bast

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.
  * Switched to Python 3.
  * Fixed debian/copyright holders list and years.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 13:53:43 +0000

mistral (5.1.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Added missing EPOCH for mistralclient.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Oct 2017 21:38:30 +0000

mistral (5.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Ran wrap-and-sort -bast.
  * Updating vcs fields.
  * d/copyright: Changed source URL to https protocol.
  * Updating maintainer field.
  * Deprecating priority extra as per policy 4.0.1.
  * Updating standards version to 4.1.1.
  * Fixed (build-)depends for this release.
  * debian/rules: remove things defined in openstack-pkg-tools.
  * Remove sqlalchemy version patch.

 -- Thomas Goirand <zigo@debian.org>  Sun, 22 Oct 2017 13:54:27 +0200

=== debian/control ===
Source: mistral
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 74~),
 po-debconf,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 alembic (>= 0.8.10),
 python-aodhclient (>= 0.9.0),
 python-alembic (>= 0.8.10),
 python-babel (>= 2.3.4),
 python-barbicanclient (>= 4.5.2),
 python-cachetools (>= 2.0.0),
 python-cinderclient (>= 1:3.3.0),
 python-coverage (>= 4.0),
 python-croniter (>= 0.3.4),
 python-designateclient (>= 2.7.0),
 python-docutils,
 python-eventlet (>= 0.20.0),
 python-fixtures (>= 3.0.0),
 python-glanceclient (>= 1:2.8.0),
 python-glareclient (>= 0.3.0),
 python-gnocchiclient (>= 3.3.1),
 python-hacking (>= 0.12.0),
 python-heatclient (>= 1.10.0),
 python-ironic-inspector-client (>= 1.5.0),
 python-ironicclient (>= 2.3.0),
 python-jinja2 (>= 2.10),
 python-jsonschema (>= 2.6.0),
 python-jwt (>= 1.0.1),
 python-keystoneclient (>= 1:3.8.0),
 python-keystonemiddleware (>= 4.17.0),
 python-magnumclient (>= 2.1.0),
 python-manilaclient (>= 1.23.0),
 python-mistral-lib (>= 0.4.0),
 python-mistralclient (>= 1:3.1.0),
 python-mock (>= 2.0.0),
 python-muranoclient (>= 0.8.2),
 python-networkx (>= 1.10),
 python-neutronclient (>= 1:6.7.0),
 python-nose (>= 1.3.7),
 python-novaclient (>= 2:9.1.0),
 python-openstackdocstheme (>= 1.18.1),
 python-os-api-ref (>= 1.4.0),
 python-oslo.concurrency (>= 3.26.0),
 python-oslo.config (>= 1:5.2.0),
 python-oslo.context (>= 1:2.20.0),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.middleware (>= 3.31.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1:3.2.0),
 python-osprofiler (>= 1.4.0),
 python-paramiko (>= 2.0.0),
 python-pecan (>= 1.2.1),
 python-pep8,
 python-qinlingclient (>= 1.0.0),
 python-requests (>= 2.14.2),
 python-requests-mock (>= 1.2.0),
 python-senlinclient (>= 1.1.0),
 python-six (>= 1.10.0),
 python-sphinxcontrib-pecanwsme (>= 0.8.0),
 python-sphinxcontrib.httpdomain (>= 1.3.0),
 python-sqlalchemy (>= 1.2.5),
 python-stestr,
 python-stevedore (>= 1:1.20.0),
 python-swiftclient (>= 1:3.2.0),
 python-tackerclient (>= 0.8.0),
 python-tempest (>= 1:17.1.0),
 python-tenacity (>= 4.4.0),
 python-testtools (>= 2.2.0),
 python-tooz (>= 1.58.0),
 python-troveclient (>= 1:2.2.0),
 python-unittest2 (>= 1.1.0),
 python-vitrageclient (>= 2.0.0),
 python-wsme (>= 0.8.0),
 python-yaml (>= 3.12),
 python-yaql (>= 1.1.3),
 python-zake (>= 0.1.6),
 python-zaqarclient (>= 1.0.0),
 python-zunclient (>= 1.0.0),
 python3-alembic (>= 0.8.10),
 python3-aodhclient (>= 0.9.0),
 python3-babel (>= 2.3.4),
 python3-barbicanclient (>= 4.5.2),
 python3-cachetools (>= 2.0.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-coverage (>= 4.0),
 python3-croniter (>= 0.3.4),
 python3-designateclient (>= 2.7.0),
 python3-docutils,
 python3-eventlet (>= 0.20.0),
 python3-fixtures (>= 3.0.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-glareclient (>= 0.3.0),
 python3-gnocchiclient (>= 3.3.1),
 python3-hacking (>= 0.12.0),
 python3-heatclient (>= 1.10.0),
 python3-ironic-inspector-client (>= 1.5.0),
 python3-ironicclient (>= 2.3.0),
 python3-jinja2 (>= 2.10),
 python3-jsonschema (>= 2.6.0),
 python3-jwt (>= 1.0.1),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-magnumclient (>= 2.1.0),
 python3-manilaclient (>= 1.23.0),
 python3-mistral-lib (>= 0.4.0),
 python3-mistralclient (>= 1:3.1.0),
 python3-mock (>= 2.0.0),
 python3-muranoclient (>= 0.8.2),
 python3-networkx (>= 1.10),
 python3-neutronclient (>= 1:6.7.0),
 python3-nose (>= 1.3.7),
 python3-novaclient (>= 2:9.1.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-api-ref (>= 1.4.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.20.0),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-paramiko (>= 2.0.0),
 python3-pecan (>= 1.2.1),
 python3-pep8,
 python3-qinlingclient (>= 1.0.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-senlinclient (>= 1.1.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib-pecanwsme (>= 0.8.0),
 python3-sphinxcontrib.httpdomain (>= 1.3.0),
 python3-sqlalchemy (>= 1.2.5),
 python3-stestr,
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tackerclient (>= 0.8.0),
 python3-tempest (>= 1:17.1.0),
 python3-tenacity (>= 4.4.0),
 python3-testtools (>= 2.2.0),
 python3-tooz (>= 1.58.0),
 python3-troveclient (>= 1:2.2.0),
 python3-unittest2 (>= 1.1.0),
 python3-vitrageclient (>= 2.0.0),
 python3-wsme (>= 0.8.0),
 python3-yaml (>= 3.12),
 python3-yaql (>= 1.1.3),
 python3-zake (>= 0.1.6),
 python3-zaqarclient (>= 1.0.0),
 python3-zunclient (>= 1.0.0),
 subunit,
 testrepository,
Standards-Version: 4.1.4
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/mistral
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/mistral
Homepage: https://github.com/openstack/mistral
Testsuite: autopkgtest-pkg-python

Package: mistral-api
Architecture: all
Depends:
 adduser,
 debconf,
 mistral-common (= ${source:Version}),
 q-text-as-data,
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack Workflow service - API
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the API server.

Package: mistral-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python-mistral (= ${binary:Version}) | python3-mistral (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
Description: OpenStack Workflow service - common files
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains common files and configuration.

Package: mistral-engine
Architecture: all
Depends:
 adduser,
 mistral-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack Workflow service - Engine
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the Engine.

Package: mistral-event-engine
Architecture: all
Depends:
 adduser,
 mistral-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack Workflow service - Event Engine
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the Event Engine.

Package: mistral-executor
Architecture: all
Depends:
 adduser,
 mistral-common (= ${source:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack Workflow service - Executor
 Mistral is a workflow service. Most business processes consist of multiple
 distinct interconnected steps that need to be executed in a particular order
 in a distributed environment. One can describe such process as a set of tasks
 and task relations and upload such description to Mistral so that it takes
 care of state management, correct execution order, parallelism,
 synchronization and high availability. Mistral also provides flexible task
 scheduling so that it can run a process according to a specified schedule
 (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
 tasks and relations between them is called a workflow.
 .
 This package contains the Executor.

Package: python-mistral
Section: python
Architecture: all
Depends:
 alembic (>= 0.8.10),
 python-alembic (>= 0.8.10),
 python-aodhclient (>= 0.9.0),
 python-babel (>= 2.3.4),
 python-barbicanclient (>= 4.5.2),
 python-cachetools (>= 2.0.0),
 python-cinderclient (>= 1:3.3.0),
 python-croniter (>= 0.3.4),
 python-designateclient (>= 2.7.0),
 python-eventlet (>= 0.20.0),
 python-glanceclient (>= 1:2.8.0),
 python-glareclient (>= 0.3.0),
 python-gnocchiclient (>= 3.3.1),
 python-heatclient (>= 1.10.0),
 python-ironic-inspector-client (>= 1.5.0),
 python-ironicclient (>= 2.3.0),
 python-jinja2 (>= 2.10),
 python-jsonschema (>= 2.6.0),
 python-jwt (>= 1.0.1),
 python-keystoneclient (>= 1:3.8.0),
 python-keystonemiddleware (>= 4.17.0),
 python-magnumclient (>= 2.1.0),
 python-manilaclient (>= 1.23.0),
 python-mistral-lib (>= 0.4.0),
 python-mistralclient (>= 1:3.1.0),
 python-muranoclient (>= 0.8.2),
 python-networkx (>= 1.10),
 python-neutronclient (>= 1:6.7.0),
 python-novaclient (>= 2:9.1.0),
 python-oslo.concurrency (>= 3.26.0),
 python-oslo.config (>= 1:5.2.0),
 python-oslo.context (>= 1:2.20.0),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.middleware (>= 3.31.0),
 python-oslo.policy (>= 1.30.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-osprofiler (>= 1.4.0),
 python-paramiko (>= 2.0.0),
 python-pbr (>= 2.0.0),
 python-pecan (>= 1.2.1),
 python-pymysql,
 python-qinlingclient (>= 1.0.0),
 python-requests (>= 2.14.2),
 python-senlinclient (>= 1.1.0),

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python2,python3,systemd

override_dh_clean:
	dh_clean
	rm -f debian/*.init debian/*.service debian/*.upstart debian/mistral-common.postinst debian/mistral-common.config
	rm -rf debian/mistral-common.postrm debian/*.templates debian/po

override_dh_auto_clean:
	python2 setup.py clean
	python3 setup.py clean

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func mistral-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func mistral-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func mistral-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func mistral-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm mistral-common.postrm
	pkgos-merge-templates mistral-api mistral endpoint
	pkgos-merge-templates mistral-common mistral db rabbit ksat

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# NOTE(coreycb) Skip Py3.7 tests until they run successfully upstream:
	#https://bugs.launchpad.net/mistral/+bug/1790001
	# pkgos-dh_auto_test
	echo "===> Running tests"
	set -ex ; for i in 2.7 3.6 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .stestr ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i python$$PYMAJOR-stestr run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		rm -rf .stestr ; \
	done
endif


	# Copy the configuration files
	set -e ; for i in logging.conf wf_trace_logging.conf ; do \
		install -D -m 0664 etc/$$i.sample $(CURDIR)/debian/mistral-common/usr/share/mistral-common/$$i ; \
	done
	install -D -m 0664 etc/policy.json $(CURDIR)/debian/mistral-common/usr/share/mistral-common/policy.json ; \
	PYTHONPATH=$(CURDIR)/debian/python3-mistral/usr/lib/python3/dist-packages python3-oslo-config-generator \
		--namespace mistral.config \
		--namespace oslo.db \
		--namespace oslo.messaging \
		--namespace oslo.middleware.cors \
		--namespace keystonemiddleware.auth_token \
		--namespace periodic.config \
		--namespace oslo.log \
		--namespace oslo.policy \
		--namespace oslo.service.sslutils \
		--output-file $(CURDIR)/debian/mistral-common/usr/share/mistral-common/mistral.conf
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/mistral-common/usr/share/mistral-common/mistral.conf keystone_authtoken mistral

	PYTHONPATH=$(CURDIR)/debian/python3-mistral/usr/lib/python3/dist-packages python3-oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/mistral-common/usr/share/mistral-common/policy.json \
		--format json \
		--namespace mistral

	pkgos-fix-config-default $(CURDIR)/debian/mistral-common/usr/share/mistral-common/mistral.conf keystone_authtoken auth_protocol http

	dh_install
	dh_missing --fail-missing

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/tests/control ===
Tests: mistral-daemons, mistral-shebangs-py3
Depends: python3-mistral, mistral-common, mistral-engine,
 mistral-event-engine, mistral-executor, mistral-api
Restrictions: needs-root

Tests: mistral-daemons, mistral-shebangs-py2
Depends: mistral-common, mistral-engine,
 mistral-event-engine, mistral-executor, mistral-api
Restrictions: needs-root

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/mistral/ mistral-(7\.\d.*)\.tar\.gz

## mistral 8.0.0

=== requirements.txt ===
--- 
+++ 
@@ -7,11 +7,12 @@
 Babel!=2.4.0,>=2.3.4 # BSD
 croniter>=0.3.4 # MIT License
 cachetools>=2.0.0 # MIT License
+dogpile.cache>=0.6.2 # BSD
 eventlet!=0.20.1,>=0.20.0 # MIT
 gnocchiclient>=3.3.1 # Apache-2.0
 Jinja2>=2.10 # BSD License (3 clause)
 jsonschema<3.0.0,>=2.6.0 # MIT
-keystonemiddleware>=4.17.0 # Apache-2.0
+keystonemiddleware>=4.18.0 # Apache-2.0
 mistral-lib>=0.4.0 # Apache-2.0
 networkx>=1.10 # BSD
 oslo.concurrency>=3.26.0 # Apache-2.0

=== debian/changelog ===
mistral (8.0.0-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 12 Apr 2019 09:30:30 +0000

mistral (8.0.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 09:59:14 +0100

mistral (8.0.0~rc1-0ubuntu1) disco; urgency=medium

  * New upstream release candidate for OpenStack Stein.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 25 Mar 2019 13:48:36 -0400

mistral (8.0.0~b2-0ubuntu1) disco; urgency=medium

  * New upstream release for Openstack Stein
  * d/watch: Align to the new release version 8.X

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@gmail.com>  Thu, 14 Mar 2019 16:21:14 +0000

mistral (8.0.0~b1~git2019013041.81af1b48-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Jan 2019 17:45:30 +0000

mistral (8.0.0~b1~git2018111913.70d2beac-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/control,rules,python*,d/tests/*: Drop Python 2 support.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 19 Nov 2018 13:48:33 -0500

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends:
  debhelper (>= 10),
  dh-python,
- openstack-pkg-tools (>= 74~),
+ openstack-pkg-tools (>= 85ubuntu3~),
  po-debconf,
  python-all,
  python-pbr (>= 2.0.0),
@@ -19,84 +19,6 @@
  python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
  alembic (>= 0.8.10),
- python-aodhclient (>= 0.9.0),
- python-alembic (>= 0.8.10),
- python-babel (>= 2.3.4),
- python-barbicanclient (>= 4.5.2),
- python-cachetools (>= 2.0.0),
- python-cinderclient (>= 1:3.3.0),
- python-coverage (>= 4.0),
- python-croniter (>= 0.3.4),
- python-designateclient (>= 2.7.0),
- python-docutils,
- python-eventlet (>= 0.20.0),
- python-fixtures (>= 3.0.0),
- python-glanceclient (>= 1:2.8.0),
- python-glareclient (>= 0.3.0),
- python-gnocchiclient (>= 3.3.1),
- python-hacking (>= 0.12.0),
- python-heatclient (>= 1.10.0),
- python-ironic-inspector-client (>= 1.5.0),
- python-ironicclient (>= 2.3.0),
- python-jinja2 (>= 2.10),
- python-jsonschema (>= 2.6.0),
- python-jwt (>= 1.0.1),
- python-keystoneclient (>= 1:3.8.0),
- python-keystonemiddleware (>= 4.17.0),
- python-magnumclient (>= 2.1.0),
- python-manilaclient (>= 1.23.0),
- python-mistral-lib (>= 0.4.0),
- python-mistralclient (>= 1:3.1.0),
- python-mock (>= 2.0.0),
- python-muranoclient (>= 0.8.2),
- python-networkx (>= 1.10),
- python-neutronclient (>= 1:6.7.0),
- python-nose (>= 1.3.7),
- python-novaclient (>= 2:9.1.0),
- python-openstackdocstheme (>= 1.18.1),
- python-os-api-ref (>= 1.4.0),
- python-oslo.concurrency (>= 3.26.0),
- python-oslo.config (>= 1:5.2.0),
- python-oslo.context (>= 1:2.20.0),
- python-oslo.db (>= 4.27.0),
- python-oslo.i18n (>= 3.15.3),
- python-oslo.log (>= 3.36.0),
- python-oslo.messaging (>= 5.29.0),
- python-oslo.middleware (>= 3.31.0),
- python-oslo.policy (>= 1.30.0),
- python-oslo.serialization (>= 2.18.0),
- python-oslo.service (>= 1.24.0),
- python-oslo.utils (>= 3.33.0),
- python-oslotest (>= 1:3.2.0),
- python-osprofiler (>= 1.4.0),
- python-paramiko (>= 2.0.0),
- python-pecan (>= 1.2.1),
- python-pep8,
- python-qinlingclient (>= 1.0.0),
- python-requests (>= 2.14.2),
- python-requests-mock (>= 1.2.0),
- python-senlinclient (>= 1.1.0),
- python-six (>= 1.10.0),
- python-sphinxcontrib-pecanwsme (>= 0.8.0),
- python-sphinxcontrib.httpdomain (>= 1.3.0),
- python-sqlalchemy (>= 1.2.5),
- python-stestr,
- python-stevedore (>= 1:1.20.0),
- python-swiftclient (>= 1:3.2.0),
- python-tackerclient (>= 0.8.0),
- python-tempest (>= 1:17.1.0),
- python-tenacity (>= 4.4.0),
- python-testtools (>= 2.2.0),
- python-tooz (>= 1.58.0),
- python-troveclient (>= 1:2.2.0),
- python-unittest2 (>= 1.1.0),
- python-vitrageclient (>= 2.0.0),
- python-wsme (>= 0.8.0),
- python-yaml (>= 3.12),
- python-yaql (>= 1.1.3),
- python-zake (>= 0.1.6),
- python-zaqarclient (>= 1.0.0),
- python-zunclient (>= 1.0.0),
  python3-alembic (>= 0.8.10),
  python3-aodhclient (>= 0.9.0),
  python3-babel (>= 2.3.4),
@@ -107,6 +29,7 @@
  python3-croniter (>= 0.3.4),
  python3-designateclient (>= 2.7.0),
  python3-docutils,
+ python3-dogpile.cache,
  python3-eventlet (>= 0.20.0),
  python3-fixtures (>= 3.0.0),
  python3-glanceclient (>= 1:2.8.0),
@@ -131,6 +54,7 @@
  python3-neutronclient (>= 1:6.7.0),
  python3-nose (>= 1.3.7),
  python3-novaclient (>= 2:9.1.0),
+ python3-oauthlib (>= 0.6.2),
  python3-openstackdocstheme (>= 1.18.1),
  python3-os-api-ref (>= 1.4.0),
  python3-oslo.concurrency (>= 3.26.0),
@@ -151,6 +75,7 @@
  python3-pecan (>= 1.2.1),
  python3-pep8,
  python3-qinlingclient (>= 1.0.0),
+ python3-reno (>= 2.5.0),
  python3-requests (>= 2.14.2),
  python3-requests-mock (>= 1.2.0),
  python3-senlinclient (>= 1.1.0),
@@ -158,7 +83,7 @@
  python3-sphinxcontrib-pecanwsme (>= 0.8.0),
  python3-sphinxcontrib.httpdomain (>= 1.3.0),
  python3-sqlalchemy (>= 1.2.5),
- python3-stestr,
+ python3-stestr (>= 2.0.0),
  python3-stevedore (>= 1:1.20.0),
  python3-swiftclient (>= 1:3.2.0),
  python3-tackerclient (>= 0.8.0),
@@ -211,7 +136,7 @@
  adduser,
  dbconfig-common,
  debconf,
- python-mistral (= ${binary:Version}) | python3-mistral (= ${binary:Version}),
+ python3-mistral (= ${binary:Version}),
  sqlite3,
  ${misc:Depends},
 Description: OpenStack Workflow service - common files
@@ -287,56 +212,86 @@
  .
  This package contains the Executor.
 
-Package: python-mistral
+Package: python3-mistral
 Section: python
 Architecture: all
 Depends:
  alembic (>= 0.8.10),
- python-alembic (>= 0.8.10),
- python-aodhclient (>= 0.9.0),
- python-babel (>= 2.3.4),
- python-barbicanclient (>= 4.5.2),
- python-cachetools (>= 2.0.0),
- python-cinderclient (>= 1:3.3.0),
- python-croniter (>= 0.3.4),
- python-designateclient (>= 2.7.0),
- python-eventlet (>= 0.20.0),
- python-glanceclient (>= 1:2.8.0),
- python-glareclient (>= 0.3.0),
- python-gnocchiclient (>= 3.3.1),
- python-heatclient (>= 1.10.0),
- python-ironic-inspector-client (>= 1.5.0),
- python-ironicclient (>= 2.3.0),
- python-jinja2 (>= 2.10),
- python-jsonschema (>= 2.6.0),
- python-jwt (>= 1.0.1),
- python-keystoneclient (>= 1:3.8.0),
- python-keystonemiddleware (>= 4.17.0),
- python-magnumclient (>= 2.1.0),
- python-manilaclient (>= 1.23.0),
- python-mistral-lib (>= 0.4.0),
- python-mistralclient (>= 1:3.1.0),
- python-muranoclient (>= 0.8.2),
- python-networkx (>= 1.10),
- python-neutronclient (>= 1:6.7.0),
- python-novaclient (>= 2:9.1.0),
- python-oslo.concurrency (>= 3.26.0),
- python-oslo.config (>= 1:5.2.0),
- python-oslo.context (>= 1:2.20.0),
- python-oslo.db (>= 4.27.0),
- python-oslo.i18n (>= 3.15.3),
- python-oslo.log (>= 3.36.0),
- python-oslo.messaging (>= 5.29.0),
- python-oslo.middleware (>= 3.31.0),
- python-oslo.policy (>= 1.30.0),
- python-oslo.serialization (>= 2.18.0),
- python-oslo.service (>= 1.24.0),
- python-oslo.utils (>= 3.33.0),
- python-osprofiler (>= 1.4.0),
- python-paramiko (>= 2.0.0),
- python-pbr (>= 2.0.0),
- python-pecan (>= 1.2.1),
- python-pymysql,
- python-qinlingclient (>= 1.0.0),
- python-requests (>= 2.14.2),
- python-senlinclient (>= 1.1.0),
+ python3-alembic (>= 0.8.10),
+ python3-aodhclient (>= 0.9.0),
+ python3-babel (>= 2.3.4),
+ python3-barbicanclient (>= 4.5.2),
+ python3-cachetools (>= 2.0.0),
+ python3-cinderclient (>= 1:3.3.0),
+ python3-croniter (>= 0.3.4),
+ python3-designateclient (>= 2.7.0),
+ python3-eventlet (>= 0.20.0),
+ python3-glanceclient (>= 1:2.8.0),
+ python3-glareclient (>= 0.3.0),
+ python3-gnocchiclient (>= 3.3.1),
+ python3-heatclient (>= 1.10.0),
+ python3-ironic-inspector-client (>= 1.5.0),
+ python3-ironicclient (>= 2.3.0),
+ python3-jinja2 (>= 2.10),
+ python3-jsonschema (>= 2.6.0),
+ python3-jwt (>= 1.0.1),
+ python3-keystoneclient (>= 1:3.8.0),
+ python3-keystonemiddleware (>= 4.17.0),
+ python3-magnumclient (>= 2.1.0),
+ python3-manilaclient (>= 1.23.0),
+ python3-mistral-lib (>= 0.4.0),
+ python3-mistralclient (>= 1:3.1.0),
+ python3-muranoclient (>= 0.8.2),
+ python3-networkx (>= 1.10),
+ python3-neutronclient (>= 1:6.7.0),
+ python3-novaclient (>= 2:9.1.0),
+ python3-oslo.concurrency (>= 3.26.0),
+ python3-oslo.config (>= 1:5.2.0),
+ python3-oslo.context (>= 1:2.20.0),
+ python3-oslo.db (>= 4.27.0),
+ python3-oslo.i18n (>= 3.15.3),
+ python3-oslo.log (>= 3.36.0),
+ python3-oslo.messaging (>= 5.29.0),
+ python3-oslo.middleware (>= 3.31.0),
+ python3-oslo.policy (>= 1.30.0),
+ python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.service (>= 1.24.0),
+ python3-oslo.utils (>= 3.33.0),
+ python3-osprofiler (>= 1.4.0),
+ python3-paramiko (>= 2.0.0),
+ python3-pbr (>= 2.0.0),
+ python3-pecan (>= 1.2.1),
+ python3-pymysql,
+ python3-qinlingclient (>= 1.0.0),
+ python3-requests (>= 2.14.2),
+ python3-senlinclient (>= 1.1.0),
+ python3-setuptools,
+ python3-six (>= 1.10.0),
+ python3-sqlalchemy (>= 1.2.5),
+ python3-stevedore (>= 1:1.20.0),
+ python3-swiftclient (>= 1:3.2.0),
+ python3-tackerclient (>= 0.8.0),
+ python3-tenacity (>= 4.4.0),
+ python3-tooz (>= 1.58.0),
+ python3-troveclient (>= 1:2.2.0),
+ python3-vitrageclient (>= 2.0.0),
+ python3-wsme (>= 0.8.0),
+ python3-yaml (>= 3.12),
+ python3-yaql (>= 1.1.3),
+ python3-zake (>= 0.1.6),
+ python3-zaqarclient (>= 1.0.0),
+ python3-zunclient (>= 1.0.0),
+ ${misc:Depends},
+ ${python3:Depends},
+Description: OpenStack Workflow Service - Python 3 libraries
+ Mistral is a workflow service. Most business processes consist of multiple
+ distinct interconnected steps that need to be executed in a particular order
+ in a distributed environment. One can describe such process as a set of tasks
+ and task relations and upload such description to Mistral so that it takes
+ care of state management, correct execution order, parallelism,
+ synchronization and high availability. Mistral also provides flexible task
+ scheduling so that it can run a process according to a specified schedule
+ (i.e. every Sunday at 4.00pm) instead of running it immediately. Such set of
+ tasks and relations between them is called a workflow.
+ .
+ This package contains the Python 3 libraries.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@  --with python2,python3,systemd
+	dh $@  --with python3,systemd
 
 override_dh_clean:
 	dh_clean
@@ -11,7 +11,6 @@
 	rm -rf debian/mistral-common.postrm debian/*.templates debian/po
 
 override_dh_auto_clean:
-	python2 setup.py clean
 	python3 setup.py clean
 
 override_dh_auto_build:
@@ -30,23 +29,10 @@
 	echo "Do nothing..."
 
 override_dh_install:
-	pkgos-dh_auto_install
+	pkgos-dh_auto_install --no-py2
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	# NOTE(coreycb) Skip Py3.7 tests until they run successfully upstream:
-	#https://bugs.launchpad.net/mistral/+bug/1790001
-	# pkgos-dh_auto_test
-	echo "===> Running tests"
-	set -ex ; for i in 2.7 3.6 ; do \
-		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
-		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
-		rm -rf .stestr ; \
-		TEMP_REZ=`mktemp -t` ; \
-		PYTHONPATH=$(CURDIR) PYTHON=python$$i python$$PYMAJOR-stestr run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
-		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
-		rm -f $$TEMP_REZ ; \
-		rm -rf .stestr ; \
-	done
+	pkgos-dh_auto_test --no-py2
 endif
